package searching.dataobjects;

import java.io.Serializable;

public class VocabularyEntry implements Comparable, Serializable {
    
    public final String word;
    public final int nofDocs;
    public final long filePointer;

    public VocabularyEntry(String word, int nofDocs, long filePointer) {
        this.word = word;
        this.nofDocs = nofDocs;
        this.filePointer = filePointer;
    }

    public int compareTo(Object o) {
        return word.compareTo(((VocabularyEntry) o).word);
    }
}
