<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<html>
    <head>
    <style>
        body,td,div,a {font-family:arial,sans-serif; font-size:9pt}
        a.visited {color:blue}
        .number, a {font-size: 12pt}
        ul {margin-top:3px}
        li {margin-left:-15px; font-size: 10pt}
        li > a {font-size:10pt}
        #separator {background-color:#F9F6E3; border: 1px solid #cccccc; padding:1px 5px 1px 0px; color:#444444; text-align:right}
    </style>
    <title>HOBSearch</title>
</head>
<body>
<table align=center><tr><td>
<div style="width:800px;">
<br>
<center>
<table>
    <tr>
        <td>
            <img src="http://www.idi.ntnu.no/~borch/bilder/hobsearch.png">
        </td>
        <td style="padding-top:14px">
            <form action="search.do" method="get">
                <input type="text" name="query" value="<c:out value="${model.query}"/>"/>
                <input type="submit" value="Search" />

                &nbsp;&nbsp;nof: <select name="nofDocsToCluster">
            <option value="100">100</option>
            <option value="50">50</option>
            <option value="10">10</option>
            <option value="200">200</option>
            <option value="300">300</option>
            </select>
            </form>
        </td>
    </tr>
</table>
</center>

<br>
<div id="separator">Displaying <c:out value="${model.nofResultsDisplayed}"/> out of <c:out value="${model.nofResults}"/> matches (Search: <c:out value="${model.searchTime}"/>. Snippet: <c:out value="${model.snippetTime}"/>. Clustering: <c:out value="${model.clusterTime}"/>)</div>
<table width="800">
    <tr>
        <td valign=top width="150">
            <div style="background-color: #F9F6E3; border: 1px solid #cccccc; margin:5px">
            <div style="padding:10px 0 0 7px; font-size:11pt"><b>Clusters:</b></div>
            <ul>
            <c:forEach items="${model.clusters}" var="cluster">
                <li><a href="search.do?query=<c:out value="${model.query}"/>&filter=<c:out value="${cluster.id}"/>"><c:out value="${cluster.label}"/></a> (<b><c:out value="${cluster.size}"/></b>)</li>
            </c:forEach>
            </ul>
            </div>
        </td>
        <td valign=top width="600" style="padding: 10px 0 0 10px">
            <c:forEach items="${model.results}" var="result">
                <a href="<c:url value="${result.url}"/>"><c:url value="${result.title}"/></a><br />
                <c:url value="${result.snippet}"/><br /><font color=green><c:url value="${result.shortUrl}"/></font><br/><br/>
            </c:forEach>
        </td>
    </tr>
</table>
<hr />
<center><span style="font: 10px verdana; color: #aaa">Hans Olaf Borch &copy; 2006</span></center>
</div>
</td></tr></table>
</body>
</html>
